Summary:	Battery monitor panel plugin for Xfce
Summary(pl.UTF-8):	Monitor zużycia baterii dla panelu Xfce
Name:		xfce4-battery-plugin
Version:	1.0.5
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-battery-plugin/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	ca2d394e411a20442a519efa0d14f8ec
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-battery-plugin
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Battery monitor panel plugin for Xfce.

%description -l pl.UTF-8
Wtyczka dla panelu Xfce pokazująca zużycie baterii.

%prep
%setup -q

%build
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libbattery.so
%{_datadir}/xfce4/panel/plugins/battery.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
%changelog
* Wed Aug 15 2012 Jan Rękorajski <baggins@pld-linux.org> 074523f
Updated to 1.0.5

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 175b115
- release 2

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ed3483d
- 1.0.4

* Fri May 11 2012 Jan Rękorajski <baggins@pld-linux.org> c0fa3f8
- no need to regenarate auto*
- plug now built as module

* Fri May 11 2012 Jan Rękorajski <baggins@pld-linux.org> b414a19
- fixed upstream

* Fri May 11 2012 Jan Rękorajski <baggins@pld-linux.org> 146b06e
- up to 1.0.2

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> c3efc56
- rel 2
- port to libxfce4ui

* Mon Feb 14 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2a92f90
- obsolete

* Mon Feb 14 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5c0099d
- updated to 1.0.0
- removed obsolete -headers_fix.patch and -buildfix.patch

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> c35d89a
- Requires(post,postun): gtk-update-icon-cache

* Mon Mar 02 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6d0bf3b
- fixes build

* Mon Mar 02 2009 Marcin Banasiak <marcin.banasiak@gmail.com> e416a3d
- added -buildfix.patch
- fixed locale names
- release 2

* Sun Nov 02 2008 Tomasz Pala <gotar@pld-linux.org> 4050ca5
- upgraded to 0.5.1

* Sat Feb 02 2008 hawk <hawk@pld-linux.org> 03f290b
- fixed headers issue
- release 2

* Sat Feb 02 2008 hawk <hawk@pld-linux.org> acda2cc
- fix headers issue

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9837b35
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d04cdb8
- converted to UTF-8

* Sat Jan 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 2a3fa1a
- up to 0.5.0

* Mon Feb 27 2006 Robert Tomasik <rotom@pld-linux.org> 053a738
- up to 0.3.0

* Wed Mar 09 2005 Jakub Bogusz <qboosh@pld-linux.org> b4cd381
- BR: ac,am,lt

